# PatternLayout.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <log4cpp/PatternLayout.hh>`
`#include <log4cpp/Priority.hh>`
`#include <log4cpp/NDC.hh>`
`#include <log4cpp/TimeStamp.hh>`
`#include <log4cpp/FactoryParams.hh>`
`#include <memory>`
`#include <strstream>`
`#include <iomanip>`
`#include <ctime>`
`#include <cmath>`
`#include "Localtime.hh"`

Include dependency graph for PatternLayout.cpp:

## Namespaces

namespace | log4cpp

## Classes

struct | log4cpp::StringLiteralComponent
struct | log4cpp::CategoryNameComponent
struct | log4cpp::MessageComponent
struct | log4cpp::NDCComponent
struct | log4cpp::PriorityComponent
struct | log4cpp::ThreadNameComponent
struct | log4cpp::ProcessorTimeComponent
struct | log4cpp::TimeStampComponent
struct | log4cpp::SecondsSinceEpochComponent
struct | log4cpp::MillisSinceEpochComponent
struct | log4cpp::FormatModifierComponent

## Functions

std::auto_ptr< Layout > | log4cpp::create_pattern_layout (const FactoryParams &params)